# crowd-admin

| Branch Name                                                        | Spring Boot Version | JDK Version |
|--------------------------------------------------------------------| ------------------- |-------------|
| [main](https://github.com/wayn111/crowd-admin)                     | 2.7.8      | 17          |
| [spring4.0](https://github.com/wayn111/crowd-admin/tree/spring4.0) | spring4.0 | 1.8         |

---

# Language

- [Chinese](README.md)|[English](README_en.md)

# Introductio

Refactored based on jdk17 and springboot2.7, Crowd-admin is a scaffolding of a background authority management system, which integrates common functions such as rbac
authority management, message push, email sending, task scheduling, code generation, elfinder file management, etc. Each
business in the system is divided by modules, and the front desk uses H+ templates. It is easy to learn for a newcomer
to Java, and can quickly integrate into the enterprise development guidance project after learning.

---

- [crowd-admin](#crowd-admin)
  - [Features](#features)
  - [Get Source code](#get-source-code)
  - [Online demo](#online-demo)
  - [Reference](#reference)
  - [Instance screenshot](#instance-screenshot)
  - [Sponsor](#sponsor)

---

# Features

- Learning-oriented open source framework, simple and efficient, reasonable modular split, showing the essence of
  technology
- crowd-admin is a streamlined background admin system developed with SpringMVC+Shiro+Mybatis-Plus as the core
- Encache + Redis configuration switch
- Websocket message push
- Druid dataSource and Monitor web page
- Use H+ as a background management template, based on jsp template transformation
- Integrated dictionary management and online users as well as logging
- Add code generation module
- Add server monitor module

---

# Get Source code

- [crowd-admin git](https://github.com/wayn111/crowd-admin)
- [crowd-admin gitee](https://gitee.com/wayn111/crowdfounding)

---

# Online demo

- <a href="http://62.234.206.94/crowd" target="_blank">crowd-admin</a>

# Reference

- [AdminLTE-admin](https://gitee.com/zhougaojun/KangarooAdmin/tree/master)
- [bootdo](https://gitee.com/lcg0124/bootdo)
- [RuoYi](https://gitee.com/y_project/RuoYi)

---

# Instance screenshot

__Login__
![Login](./crowd-web/crowd-img/系统登陆.png "系统登陆.png")
__Home__
![Home](./crowd-web/crowd-img/首页2.png "首页2.png")
__user manager__
![user manager](./crowd-web/crowd-img/用户管理.png "用户管理.png")
__menu manager__
![menu manager](./crowd-web/crowd-img/菜单管理.png "菜单管理.png")
__notify manager__
![view notification](./crowd-web/crowd-img/通知管理.png "通知管理.png")
__view notification__
![file manager](./crowd-web/crowd-img/查看通知.png "查看通知.png")
__file manager__
![file manager](./crowd-web/crowd-img/文件管理.png "文件管理.png")
__system server__
![system server](./crowd-web/crowd-img/系统服务.jpg "系统服务.jpg")

---

# Sponsor

<a href="https://www.jetbrains.com/" target="_blank">
<img src="./crowd-web/crowd-img/jetbrains-training-partner.svg" width="20%" alt=""></a>
