package com.wayn.generator.domain;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.wayn.common.base.BaseEntity;

import java.util.Date;
import java.util.List;

/**
 * ry 数据库表
 *
 * @author ruoyi
 */
public class TableInfo extends BaseEntity<TableInfo> {
    private static final long serialVersionUID = 1L;

    /**
     * 表名称
     */
    @Excel(name = "表名称", width = 20)
    private String tableName;

    /**
     * 表描述
     */
    @Excel(name = "表备注", width = 20)
    private String tableComment;

    /**
     * 表的主键列信息
     */
    private ColumnInfo primaryKey;

    /**
     * 表的列名(不包含主键)
     */
    private List<ColumnInfo> columns;

    /**
     * 类名(第一个字母大写)
     */
    private String className;

    /**
     * 类名(第一个字母小写)
     */
    private String classname;

    private Date updateTime;

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public String getTableComment() {
        return tableComment;
    }

    public void setTableComment(String tableComment) {
        this.tableComment = tableComment;
    }

    public List<ColumnInfo> getColumns() {
        return columns;
    }

    public void setColumns(List<ColumnInfo> columns) {
        this.columns = columns;
    }

    public ColumnInfo getColumnsLast() {
        ColumnInfo columnInfo = null;
        if (columns != null && columns.size() > 0) {
            columnInfo = columns.get(0);
        }
        return columnInfo;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public String getClassname() {
        return classname;
    }

    public void setClassname(String classname) {
        this.classname = classname;
    }

    public ColumnInfo getPrimaryKey() {
        return primaryKey;
    }

    public void setPrimaryKey(ColumnInfo primaryKey) {
        this.primaryKey = primaryKey;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public TableInfo setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }
}
