package com.wayn.quartz.manager.task;

import com.wayn.common.service.ConfigService;
import com.wayn.common.util.SpringContextUtil;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.messaging.simp.SimpMessagingTemplate;
import org.springframework.stereotype.Component;

@Component("welComeJob")
public class WelComeJob {

    private static final Logger logger = LoggerFactory.getLogger(WelComeJob.class);

    @Autowired
    private ConfigService configService;

    public void welCome() {
        SimpMessagingTemplate simpMessagingTemplate = SpringContextUtil.getBean(SimpMessagingTemplate.class);
        String sysName = configService.getValueByKey("sys.name");
        simpMessagingTemplate.convertAndSend("/topic/taskResponse", "WelCome to " + sysName + "！");
        logger.info("执行自定义定时任务");
    }

    public void test(String a, Integer b) {
        logger.info("welComeJob 欢迎----- test({},{})", a, b);
    }

}


